ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Fernandes, Gerard" <gerard.fernan...@lehman.com>
Subject IvyDE and Eclipse 3.3
Date Fri, 23 Nov 2007 09:20:38 GMT

Several problems with IvyDE in Eclipse Europa (3.2 & 3.3):

- Corrupts .metadata of the project occasionally causing Eclipse to hang
while starting up. Can only be recovered by deleting .metadata and
re-importing all projects in the workspace.

- Loads duplicate libraries causing Eclipse build to break. Can be
recovered by loading the Ivy dependency configuration file in the IvyDE
Editor, making a trivial change and  saving it causing Ivy to
re-generate the IvyDE container libraries.

The IvyDE container is the most elegant solution to integrating Ivy with
Eclipse - compared to the alternative of generating the Eclipse
.classpath (using an Ivy report and XSLT for example). It's a shame that
it's not robust enough to roll out across a team.

Can any improvements to stability be anticipated in the short/medium
term?

Gerard
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

This message is intended only for the personal and confidential use of the designated recipient(s)
named above.  If you are not the intended recipient of this message you are hereby notified
that any review, dissemination, distribution or copying of this message is strictly prohibited.
 This communication is for information purposes only and should not be regarded as an offer
to sell or as a solicitation of an offer to buy any financial product, an official confirmation
of any transaction, or as an official statement of Lehman Brothers.  Email transmission cannot
be guaranteed to be secure or error-free.  Therefore, we do not represent that this information
is complete or accurate and it should not be relied upon as such.  All information is subject
to change without notice.




Mime
View raw message